QListBoxPixmap(3qt)

NAME
QListBoxPixmap - List box items with a pixmap

SYNOPSIS

#include <qlistbox.h>

Inherits QListBoxItem.

  Public Members
QListBoxPixmap ( const QPixmap & )
~QListBoxPixmap ()
virtual const QPixmap* pixmap () const

  Protected Members
virtual void paint ( QPainter * )
virtual int height ( const QListBox * ) const
virtual int width ( const QListBox * ) const

DESCRIPTION
The QListBoxPixmap class provides list box items with a pixmap.

See also: QListBox and QListBoxItem.

MEMBER FUNCTION DOCUMENTATION

QListBoxPixmap::QListBoxPixmap ( const QPixmap & pixmap )
Creates a new list box item showing the pixmap pixmap.

QListBoxPixmap::~QListBoxPixmap ()
Destroys the item.

int QListBoxPixmap::height ( const QListBox * ) const [virtual protected]
Returns the height of the pixmap.

See also: paint() and width().

Reimplemented from QListBoxItem.

void QListBoxPixmap::paint ( QPainter * p ) [virtual protected]
Draws the pixmap using painter p.

Reimplemented from QListBoxItem.

const QPixmap * QListBoxPixmap::pixmap () const [virtual]
Returns the pixmap connected with the item.

Reimplemented from QListBoxItem.

int QListBoxPixmap::width ( const QListBox * ) const [virtual protected]
Returns the width of the pixmap.

See also: paint() and height().

Reimplemented from QListBoxItem.

SEE ALSO
http://www.troll.no/qt/qlistboxpixmap.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.